modem_echo_can_state_s Struct Reference

`#include <modem_echo.h>`

## Public Attributes

int | adapt
int | taps
fir16_state_t | fir_state
int16_t * | fir_taps16
int32_t * | fir_taps32
int | tx_power
int | rx_power
int | curr_pos

## Detailed Description

Modem line echo canceller descriptor. This defines the working state for a line echo canceller.

## Member Data Documentation

## fir_taps16

int16_t* modem_echo_can_state_s::fir_taps16

Echo FIR taps (16 bit version)

Referenced by modem_echo_can_flush(), modem_echo_can_free(), modem_echo_can_init(), and modem_echo_can_update().

## fir_taps32

int32_t* modem_echo_can_state_s::fir_taps32

Echo FIR taps (32 bit version)

Referenced by modem_echo_can_flush(), modem_echo_can_free(), modem_echo_can_init(), and modem_echo_can_update().

The documentation for this struct was generated from the following file:

- private/modem_echo.h